Skip to main content
POST
/
Transaction
/
Charity
/
CreateAnonymous
cURL
curl --request POST \
  --url https://api.trysynch.com/Transaction/Charity/CreateAnonymous \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "verificationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": {
    "value": 123,
    "currencyCode": {}
  },
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isRecurring": true,
  "payerCoversFee": true
}
'

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Use /auth/token to obtain access token. Enter 'Bearer' [space] and then your token in the text input below. Example: 'Bearer eyJhbGci...'

Body

verificationId
string<uuid>
amount
object
companyId
string<uuid>
isRecurring
boolean
payerCoversFee
boolean

Response

200

OK